> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nox.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Delete all data and connections associated to the user and the energy supplier. Some delete operations might be delayed by 1 day.



## OpenAPI

````yaml /api-docs/full-control/openapi-full-control.json delete /v1/user
openapi: 3.1.0
info:
  title: NOX Energy API - Full Control
  description: >
    # Full Control API Documentation


    This documentation shows only the endpoints available to full control users.


    ## Authentication


    1. Get your API key from [NOX Energy](mailto:support@nox.energy).

    2. Include the API key in your API calls with the header: `x-api-key:
    YOUR_API_KEY`.


    ## Access Level


    This documentation is specifically for **full control users** who have
    access to these endpoints.


    Base URL: [https://api.nox.energy](https://api.nox.energy)
  version: 1.0.0
servers:
  - url: https://api.nox.energy
    description: Production Server
security:
  - ApiKeyAuth: []
tags:
  - name: Asset Info
    description: API to get basic information about your assets.
  - name: Device Consumption
    description: API to get consumption data of your devices.
  - name: User Management
    description: API endpoints to manage users and their data.
paths:
  /v1/user:
    delete:
      tags:
        - User Management
      summary: Delete User
      description: >-
        Delete all data and connections associated to the user and the energy
        supplier. Some delete operations might be delayed by 1 day.
      operationId: delete_user_v1_user_delete
      parameters:
        - name: user_id
          in: query
          required: true
          schema:
            type: string
            description: |

              Nox User ID of the user to delete all associated data for.
            title: User Id
          description: |

            Nox User ID of the user to delete all associated data for.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Delete User V1 User Delete
              example:
                status: success
                message: User 1234578 deleted successfully.
                meta:
                  energy_supplier:
                    - Energy Supplier A
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key authentication. Enter your API key in the format: YOUR_API_KEY'

````